<?php
ob_start();
@include("mainfile.php");
function correct_text($text)
{
	$bad_chars = array(
		"&quot;",
		"&zwnj;",
		"&laquo;",
		"&raquo;",
		"&rlm;",
		"&lrm;",
		"&ndash;",
		"&zwj;",
		"",
		"&not;",
		"&;",
	);
	$text = str_replace($bad_chars,"",$text);
	return $text;
}
ob_end_clean();

global $prefix, $db, $nukeurl, $language;
header("Content-Type: text/xml");

$now = date('Y-m-d\TH:i:s+00:00',time());
echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<rss version=\"2.0\" \n";
echo "  xmlns:dc=\"http://purl.org/dc/elements/1.1/\"\n";
echo "  xmlns:sy=\"http://purl.org/rss/1.0/modules/syndication/\"\n";
echo "  xmlns:admin=\"http://webns.net/mvcb/\"\n";
echo "  xmlns:media=\"http://search.yahoo.com/mrss/\" xmlns:ynews=\"http://news.yahoo.com/rss/\"\n";
echo "  xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" >\n\n";
echo "<channel>\n";
echo "<title>".htmlspecialchars($sitename)."</title>\n";
echo "<link>".htmlspecialchars($nukeurl)."</link>\n";
echo "<description>".$slogan."</description>\n";
echo "<dc:language>".$backend_language."</dc:language>\n";
echo "<dc:creator>".$adminmail."</dc:creator>\n";
echo "<dc:date>".$now."</dc:date>\n\n";
echo "<sy:updatePeriod>hourly</sy:updatePeriod>\n";
echo "<sy:updateFrequency>1</sy:updateFrequency>\n";
echo "<sy:updateBase>".$now."</sy:updateBase>\n\n";

$alltopics_result = $db->sql_query("SELECT topicid, topicname FROM ".$prefix."_topics");
while($row1 = $db->sql_fetchrow($alltopics_result)){
	$alltopics[intval($row1['topicid'])] = filter($row1['topicname'], "nohtml");
}

switch($t) {
    case "":
		$result = $db->sql_query("SELECT sid, informant, title, newsurl, time, hometext, topic_link, topic FROM ".$prefix."_stories ORDER BY time DESC LIMIT 50");
		while ($row = $db->sql_fetchrow($result)) {
			$rsid = intval($row['sid']);
			$topic_link = $row['topic_link'];
			$topics = explode(",",$row['topic']);
			$informant = $row['informant'];
			$title = $row['title'];
			$time = $row['time'];
			$newsurl = $row['newsurl'];
			$hometext = $row['hometext'];
			$date = date('Y-m-d\TH:i:s+00:00',$time);
			echo "<item>\n";
			echo "<title>".correct_text($title)."</title>\n";
			echo "<link>".LinkToGT(correct_text(newslink($rsid)))."</link>\n";
			echo "<comments>".LinkToGT(correct_text(newslink($rsid)))."#comments/</comments>\n";
			echo "<pubDate>$date</pubDate>\n";
			echo "<dc:creator>"._LASTPOSTBY." ".$informant."</dc:creator>\n"; 
			foreach($topics as $topic){
				echo "<category><![CDATA[".$alltopics[$topic]."]]></category>\n";
			}
			if(file_exists("files/News/$rsid.jpg")){
				echo "<media:content url=\"".$nukeurl."files/News/$rsid.jpg\" type=\"image/jpeg\" height=\"92\" width=\"68\" />\n";
			}
			echo "<guid isPermaLink=\"false\">".$rsid."@".$nukeurl."</guid>\n";
			echo "<description><![CDATA[".stripslashes(correct_text($hometext))."]]>".((file_exists("files/News/$rsid.jpg")) ? "&lt;img src='".$nukeurl."files/News/$rsid.jpg' align='left' width='75' border='0' /&gt;":"")."&lt;br clear='all'/&gt;</description>\n";
			echo "<dc:date>".$date."</dc:date>\n";
			echo "<language>$language</language>";
			echo "</item>\n\n";
		}
    break;
    case "top":
		$result = $db->sql_query("SELECT sid, informant, title, newsurl, time, hometext, topic_link, topic FROM ".$prefix."_stories ORDER BY counter DESC LIMIT 50");
		while ($row = $db->sql_fetchrow($result)) {
			$rsid = intval($row['sid']);
			$topic_link = $row['topic_link'];
			$topics = explode(",",$row['topic']);
			$informant = $row['informant'];
			$title = $row['title'];
			$time = $row['time'];
			$newsurl = $row['newsurl'];
			$hometext = $row['hometext'];
			$date = date('Y-m-d\TH:i:s+00:00',$time);
			echo "<item>\n";
			echo "<title>".correct_text($title)."</title>\n";
			echo "<link>".LinkToGT(correct_text(newslink($rsid)))."/</link>\n";
			echo "<comments>".LinkToGT(correct_text(newslink($rsid)))."#comments/</comments>\n";
			echo "<pubDate>$date</pubDate>\n";
			echo "<dc:creator>"._LASTPOSTBY." ".$informant."</dc:creator>\n"; 
			foreach($topics as $topic){
				echo "<category><![CDATA[".$alltopics[$topic]."]]></category>\n";
			}
			if(file_exists("files/News/$rsid.jpg")){
				echo "<media:content url=\"".$nukeurl."files/News/$rsid.jpg\" type=\"image/jpeg\" height=\"92\" width=\"68\" />\n";
			}
			echo "<guid isPermaLink=\"false\">".$rsid."@".$nukeurl."</guid>\n";
			echo "<description><![CDATA[".stripslashes(correct_text($hometext))."]]>".((file_exists("files/News/$rsid.jpg")) ? "&lt;img src='".$nukeurl."files/News/$rsid.jpg' align='left' width='75' border='0' /&gt;":"")."&lt;br clear='all'/&gt;</description>\n";
			echo "<dc:date>".$date."</dc:date>\n";
			echo "<language>$language</language>";
			echo "</item>\n\n";
		}
    break;
	
	case"topics":
		$result = $db->sql_query("SELECT * FROM ".$prefix."_stories WHERE FIND_IN_SET('$topicid', topic) ORDER BY time DESC LIMIT 0, 50");
		$i=0;
		while ($row = $db->sql_fetchrow($result)) {
			$topics = explode(",",$row['topic']);
			$topic_link = intval($row['topic_link']);
			$rsid = intval($row['sid']);
			$informant = mysql_real_escape_string($row['informant']);
			$title = mysql_real_escape_string($row['title']);
			$time = mysql_real_escape_string($row['time']);
			$hometext = stripslashes($row['hometext']);
			$newsurl = mysql_real_escape_string($row['newsurl']);
			$date = date('Y-m-d\TH:i:s+00:00',$time);
			echo "<item>\n";
			echo "<title>".correct_text($title)."</title>\n";
			echo "<link>".LinkToGT(correct_text(newslink($rsid)))."</link>\n";
			echo "<description><![CDATA[".stripslashes(correct_text($hometext))."]]>".((file_exists("files/News/$rsid.jpg")) ? "&lt;img src='".$nukeurl."files/News/$rsid.jpg' align='left' width='75' border='0' /&gt;":"")."&lt;br clear='all'/&gt;</description>\n";
			echo "<guid isPermaLink=\"false\">".$rsid."@".$nukeurl."</guid>\n";
			foreach($topics as $topic){
				echo "<category><![CDATA[".$alltopics[$topic]."]]></category>\n";
			}
			if(file_exists("files/News/$rsid.jpg")){
				echo "<media:content url=\"".$nukeurl."files/News/$rsid.jpg\" type=\"image/jpeg\" height=\"92\" width=\"68\" />\n";
			}
			echo "<dc:date>".$date."</dc:date>\n";
			echo "<dc:creator>"._LASTPOSTBY." ".$informant."</dc:creator>\n"; 
			echo "<language>$language</language>";
			echo "</item>\n\n";
			$i++;
		}
	break;
}
echo "</channel>\n";
echo "</rss>\n";

?>