<?php

/************************************************************************/
/* PHP-NUKE: Web Portal System                                          */
/* ===========================                                          */
/*                                                                      */
/* Copyright (c) 2006 by Francisco Burzi                                */
/* http://phpnuke.org                                                   */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/

/* Block to fit perfectly in the center of the site, remember that not all
   blocks looks good on Center, just try and see yourself what fits your needs */

if ( !defined('BLOCK_FILE') ) {
    Header("Location: ../index.php");
    die();
}

$your_topic = 1;//the topic that you want to show its stories
$max_stories = 10;//max stories that you want to show

global $prefix, $multilingual, $currentlang, $db , $gtset;

if ($multilingual == 1) {
    $querylang = "WHERE (alanguage = '$currentlang' OR alanguage = '')";
} else {
    $querylang = "";
}


$st_total_rows = 0;
$st_query = $db->sql_query("SELECT * FROM ".$prefix."_stories $querylang");
while ($st_qrow = $db->sql_fetchrow($st_query)) {
	$st_sid = intval($st_qrow['sid']);
	$st_topics = explode(",",$st_qrow['topic']);
	if(in_array($your_topic,$st_topics)){
		$sto_sid[] = $st_sid;
		$st_total_rows++;
	}
	if($max_stories == $st_total_rows) break;
}

array_map('intval',$sto_sid);
$sto_sid = implode(',',$sto_sid);
if ($multilingual == 1) {
	$querylang .= " AND sid IN ($sto_sid)";
} else {
	$querylang .= " WHERE sid IN ($sto_sid)";
}


$content = "<table width=\"100%\" border=\"0\">";
$result = $db->sql_query("SELECT * FROM " . $prefix . "_stories $querylang ORDER BY sid DESC LIMIT 0,$max_stories");
while ($row = $db->sql_fetchrow($result)) {
	$sid = intval($row['sid']);
    $title = filter($row['title'], "nohtml");
    $comtotal = intval($row['comments']);
    $counter = intval($row['counter']);
    $llink = newslink($sid);
    $content .= "<tr><td align=\"left\"><strong><big>&middot;</big></strong>&nbsp;<a href=\"$llink\">$title</a></td><td align=\"right\">[ $comtotal "._COMMENTS." - $counter "._READS." ]</td></tr>";
}

$content .= "</table>";
$content .= "<br><center>[ <a href=\"modules.php?name=News\">"._MORENEWS."</a> ]</center>";

?>