<?php



/************************************************************************/

/* PHP-NUKE: Web Portal System                                          */

/* ===========================                                          */

/*                                                                      */

/* Copyright (c) 2006 by Francisco Burzi                                */

/* http://phpnuke.org                                                   */

/*                                                                      */

/* This program is free software. You can redistribute it and/or modify */

/* it under the terms of the GNU General Public License as published by */

/* the Free Software Foundation; either version 2 of the License.       */

/************************************************************************/



if (!defined('MODULE_FILE')) {

	die ("You can't access this file directly...");

}

require_once("mainfile.php");

$module_name = basename(dirname(__FILE__));

get_lang($module_name);

global $prefix, $db;

$result45 = $db->sql_query("SELECT * FROM ".$prefix."_modules WHERE title='$module_name'");

		$row45 = $db->sql_fetchrow($result45);

		$leftblock45 = $row45['leftblock'];

if($leftblock45 == 1){

define('INDEX_FILE', true);

}

function select_month($in) {

	global $prefix, $user_prefix, $db, $module_name ,$j_month_name, $A_month_name, $g_month_name, $datetype, $align;

	if(!isset($in) && strlen($in) == 0){

		include("header.php");

		title(""._STORIESARCHIVE."");

		OpenTable();

	}

	echo "<center><font class=\"content\">"._SELECTMONTH2VIEW."</font><br><br></center>";

	$result = $db->sql_query("SELECT time from ".$prefix."_stories order by time DESC");

	echo "<ul dir=\"$align\">";

	$thismonth = "";//gregorian date

	$thisjmonth = "";//jalali date

	$thishmonth = "";//hijri date

	while($row = $db->sql_fetchrow($result)) {

		$time = $row['time'];

		$j_datetime = array(date("Y", $time), date("m", $time), date("d", $time));

		if($datetype == 1){

			$jalalidate= gregorian_to_jalali($j_datetime[0],$j_datetime[1],$j_datetime[2]);

			if ($jalalidate[1] != $thisjmonth) {

				$month = $j_month_name[$jalalidate[1]];

				$month2 = str_replace(" ","_",$month);

				echo "<li><a href=\"modules.php?name=$module_name&sa=show_month&year=$jalalidate[0]&month=$jalalidate[1]&month_l=$month2\">$month, $jalalidate[0]</a>";

				$thisjmonth = $jalalidate[1];

			}



		}elseif($datetype == 2){

			$dateTimes = HijriCalendar::GregorianToHijri($time);

			$hgetdate = $dateTimes[0]-1;

			if ($dateTimes[0] != $thishmonth) {

				$month = $A_month_name[$hgetdate];

				$month2 = str_replace(" ","_",$month);

				echo "<li><a href=\"modules.php?name=$module_name&sa=show_month&year=$dateTimes[2]&month=$dateTimes[0]&month_l=$month2\">$month, $dateTimes[2]</a>";

				$thishmonth = $dateTimes[0];

			}	



		}else{

			$dateTimes_year = date("Y",$time);

			$dateTimes_month = date("m",$time);

			$dateTimes_month = intval($dateTimes_month);

			if ($dateTimes_month != $thismonth) {

				$month = $g_month_name[$dateTimes_month];

				$month2 = str_replace(" ","_",$month);

				echo "<li><a href=\"modules.php?name=$module_name&sa=show_month&year=$dateTimes_year&month=$dateTimes_month&month_l=$month2\">$month, $dateTimes_year</a>";

				$thismonth = $dateTimes_month;

			}	

		}	

	}

	echo "</ul>";

	if(!isset($in) && strlen($in) == 0){

		echo"<br><br><br><center>"

		."<form action=\"modules.php?name=Search\" method=\"post\">"

		."<input onkeypress=FKeyPress(this); onkeydown=FKeyDown(this);  type=\"text\" name=\"query\" size=\"30\">&nbsp;<img src=\"images/fa2.gif\" align=\"absbottom\" style=\"CURSOR: hand\" onclick=change(query)>&nbsp;"

		."<br><input type=\"submit\" value=\""._SEARCH."\">"

		."</form><br><br>"

		."[ <a href=\"modules.php?name=$module_name&amp;sa=show_all\">"._SHOWALLSTORIES."</a> ]</center>";

		CloseTable();

		include("footer.php");

	}

}



function show_month($year, $month, $month_l) {

	global $userinfo, $prefix, $user_prefix, $j_month_name, $db, $bgcolor1, $bgcolor2, $user, $cookie, $sitename, $multilingual, $language, $module_name, $articlecomm , $j_month_name, $A_month_name, $g_month_name, $datetype, $align;

	$year = intval($year);

	$month = intval($month); //Zero-F Fixed

	$month_l = filter(($month_l), "nohtml"); //Zero-F Fixed

	include("header.php");

	title(""._STORIESARCHIVE."");

	title("$sitename: $month_l $year");

	$r_options = "";

	if(is_user($user)) {

	  getusrinfo($user);

          if (!isset($mode) OR empty($mode)) {

            if(isset($userinfo['umode'])) {

              $mode = $userinfo['umode'];

            } else {

              $mode = "thread";

            }

          }

          if (!isset($order) OR empty($order)) {

            if(isset($userinfo['uorder'])) {

              $order = $userinfo['uorder'];

            } else {

              $order = 0;

            }

          }

          if (!isset($thold) OR empty($thold)) {

            if(isset($userinfo['thold'])) {

              $thold = $userinfo['thold'];

            } else {

              $thold = 0;

            }

          }

        }

	OpenTable();

	echo "<table border=\"0\" width=\"100%\"><tr>"

	."<td bgcolor=\"$bgcolor2\" align=\"right\"><b>"._ARTICLES."</b></td>"

	."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._COMMENTS."</b></td>"

	."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._READS."</b></td>"

	."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._USCORE."</b></td>"

	."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._DATE."</b></td>"

	."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._ACTIONS."</b></td></tr>";

    $jnmonth = $month +1;

	$jnyear = $year;

	if ($jnmonth == 13){$jnyear++ ; $jnmonth = 1;};

	$currentmonth = all_to_gregorian($year,$month,1);

	$nextmonth = all_to_gregorian($jnyear,$jnmonth,1);

	$currenttime = mktime(0,0,0,$currentmonth[1],$currentmonth[2],$currentmonth[0]);

	$nexttime = mktime(0,0,0,$nextmonth[1],$nextmonth[2],$nextmonth[0]);

 	$query = $db->sql_query("SELECT * FROM ".$prefix."_stories WHERE time >= '$currenttime' AND time < '$nexttime'");

	$total_rows = $db->sql_numrows($query);

	$entries_per_page = 50;

	$current_page = (empty($_GET['page'])) ? 1 : $_GET['page'];

	$start_at  = ($current_page * $entries_per_page) - $entries_per_page;

	$link_to = "modules.php?name=Stories_Archive&sa=show_month&year=$year&month=$month&month_l=$month_l";

	$result = $db->sql_query("SELECT sid, title, time, newsurl, comments, topic, counter, alanguage, score, ratings, topic_link from ".$prefix."_stories WHERE time >= '$currenttime' AND time < '$nexttime' order by sid DESC LIMIT $start_at, $entries_per_page");

	while ($row = $db->sql_fetchrow($result)) {

		$sid = intval($row['sid']);

		$title = filter($row['title'], "nohtml");

		$time = $row['time'];

		$newsurl = filter($row['newsurl'], "nohtml");

		$comments = intval($row['comments']);

		$topic = $row['topic'];

		$counter = intval($row['counter']);

		$alanguage = $row['alanguage'];

		$score = intval($row['score']);

		$ratings = intval($row['ratings']);

		$time = nuketimes($time);

		$actions = "<a href=\"modules.php?name=News&amp;file=print&amp;sid=$sid\"><img src=\"images/print.gif\" border=0 alt=\""._PRINTER."\" title=\""._PRINTER."\" width=\"16\" height=\"11\"></a>&nbsp;";

		if(is_user($user)){

			$actions .= "<a href=\"modules.php?name=News&amp;file=friend&amp;op=FriendSend&amp;sid=$sid\" class=\"thickbox\"><img src=\"images/friend.gif\" border=0 alt=\""._FRIEND."\" title=\""._FRIEND."\" width=\"16\" height=\"11\"></a>";

		}

		if ($score != 0) {

			$rated = substr($score / $ratings, 0, 4);

		} else {

			$rated = 0;

		}

		$title = "<a href=\"".newslink($sid)."\">$title</a>";

		if ($multilingual == 1) {

			if (empty($alanguage)) {

				$alanguage = $language;

			}

			$alt_language = ucfirst($alanguage);

			$lang_img = "<img src=\"images/language/flag-$alanguage.png\" border=\"0\" hspace=\"2\" alt=\"$alt_language\" title=\"$alt_language\">";

		} else {

			$lang_img = "<strong><big><b>&middot;</b></big></strong>";

		}

		if ($articlecomm == 0) {

			$comments = 0;

		}

		echo "<tr>"

		."<td bgcolor=\"$bgcolor1\" align=\"right\">$lang_img $title</td>"

		."<td bgcolor=\"$bgcolor1\" align=\"center\">$comments</td>"

		."<td bgcolor=\"$bgcolor1\" align=\"center\">$counter</td>"

		."<td bgcolor=\"$bgcolor1\" align=\"center\">$rated</td>"

		."<td bgcolor=\"$bgcolor1\" align=\"center\">$time</td>"

		."<td bgcolor=\"$bgcolor1\" align=\"center\">$actions</td></tr>";

	}

	echo "

		<tr>

		<td valign=\"top\" align=\"center\" colspan=\"6\" style=\"border:0\">

		<div id=\"pagination\" class=\"pagination\">";

		clean_pagination($total_rows, $entries_per_page, $current_page, $link_to);

		echo"</div></td></tr>

	</table>"

	."<br><br><br><hr size=\"1\" noshade>";

	select_month(1);

	echo"<div align=\"center\"><form action=\"modules.php?name=Search\" method=\"post\">"

	."<input onkeypress=FKeyPress(this); onkeydown=FKeyDown(this); type=\"text\" name=\"query\" size=\"30\">&nbsp;<img src=\"images/fa2.gif\" align=\"absbottom\" style=\"CURSOR: hand\" onclick=change(query)>&nbsp;"

	."<input type=\"submit\" value=\""._SEARCH."\">"

	."</form>"

	."[ <a href=\"modules.php?name=$module_name\">"._ARCHIVESINDEX."</a> | <a href=\"modules.php?name=$module_name&amp;sa=show_all\">"._SHOWALLSTORIES."</a> ]</div>";

	CloseTable();

	include("footer.php");

}

function show_all() {

	global $prefix, $user_prefix, $db, $j_month_name, $bgcolor1, $bgcolor2, $user, $cookie, $sitename, $multilingual, $language, $module_name, $userinfo , $j_month_name, $A_month_name, $g_month_name, $datetype, $align;

	if (!isset($min) || intval($min) <= 0) {

		$min = 0;

	}

	else $min = intval($min);

	$max = 250;

	include("header.php");

	title(""._STORIESARCHIVE."");

	title("$sitename: "._ALLSTORIESARCH."");

	$r_options = "";

	if(is_user($user)) {

	  getusrinfo($user);

	  if (isset($userinfo['umode'])) { $r_options .= "&amp;mode=".$userinfo['umode']; }

	  if (isset($userinfo['uorder'])) { $r_options .= "&amp;order=".$userinfo['uorder']; }

	  if (isset($userinfo['thold'])) { $r_options .= "&amp;thold=".$userinfo['thold']; }

        }

	OpenTable();

	echo "<table border=\"0\" width=\"100%\"><tr>"

	."<td bgcolor=\"$bgcolor2\" align=\"right\"><b>"._ARTICLES."</b></td>"

	."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._COMMENTS."</b></td>"

	."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._READS."</b></td>"

	."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._USCORE."</b></td>"

	."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._DATE."</b></td>"

	."<td bgcolor=\"$bgcolor2\" align=\"center\"><b>"._ACTIONS."</b></td></tr>";

 	$query = $db->sql_query("SELECT * FROM ".$prefix."_stories");

	$total_rows = $db->sql_numrows($query);

	$entries_per_page = 50;

	$current_page = (empty($_GET['page'])) ? 1 : $_GET['page'];

	$start_at  = ($current_page * $entries_per_page) - $entries_per_page;

	$link_to = "modules.php?name=Stories_Archive&sa=show_all";

	$result = $db->sql_query("SELECT sid, title, time, comments, counter, alanguage, score, ratings from ".$prefix."_stories order by sid DESC LIMIT $start_at, $entries_per_page");

	while($row = $db->sql_fetchrow($result)) {

		$sid = intval($row['sid']);

		$title = filter($row['title'], "nohtml");

		$time = $row['time'];

		$comments = intval($row['comments']);

		$counter = intval($row['counter']);

		$alanguage = $row['alanguage'];

		$score = intval($row['score']);

		$ratings = intval($row['ratings']);

		$time = nuketimes($time);

		$actions = "<a href=\"modules.php?name=News&amp;file=print&amp;sid=$sid\"><img src=\"images/print.gif\" border=0 alt=\""._PRINTER."\" title=\""._PRINTER."\" width=\"15\" height=\"11\"></a>&nbsp;";

		if(is_user($user)){

			$actions .= "<a href=\"modules.php?name=News&amp;file=friend&amp;op=FriendSend&amp;sid=$sid\"><img src=\"images/friend.gif\" border=0 alt=\""._FRIEND."\" title=\""._FRIEND."\" width=\"15\" height=\"11\"></a>";

		}

		if ($score != 0) {

			$rated = substr($score / $ratings, 0, 4);

		} else {

			$rated = 0;

		}

		$title = "<a href=\"".newslink($sid)."\">$title</a>";

		if ($multilingual == 1) {

			if (empty($alanguage)) {

				$alanguage = $language;

			}

			$alt_language = ucfirst($alanguage);

			$lang_img = "<img src=\"images/language/flag-$alanguage.png\" border=\"0\" hspace=\"2\" alt=\"$alt_language\" title=\"$alt_language\">";

		} else {

			$lang_img = "<strong><big><b>&middot;</b></big></strong>";

		}

		echo "<tr>"

		."<td bgcolor=\"$bgcolor1\" align=\"right\">$lang_img $title</td>"

		."<td bgcolor=\"$bgcolor1\" align=\"center\">$comments</td>"

		."<td bgcolor=\"$bgcolor1\" align=\"center\">$counter</td>"

		."<td bgcolor=\"$bgcolor1\" align=\"center\">$rated</td>"

		."<td bgcolor=\"$bgcolor1\" align=\"center\">$time</td>"

		."<td bgcolor=\"$bgcolor1\" align=\"center\">$actions</td></tr>";

	}

	echo "

		<tr>

		<td valign=\"top\" align=\"center\" colspan=\"6\" style=\"border:0\">

		<div id=\"pagination\" class=\"pagination\">";

		clean_pagination($total_rows, $entries_per_page, $current_page, $link_to);

		echo"</div></td></tr>

	</table>"

	."<br><br><br>";

	echo "<hr size=\"1\" noshade>";

	select_month(1);

	echo"<div align=\"center\"><form action=\"modules.php?name=Search\" method=\"post\">"

	."<input onkeypress=FKeyPress(this); onkeydown=FKeyDown(this);  type=\"text\" name=\"query\" size=\"30\">&nbsp;&nbsp;<img src=\"images/fa2.gif\" align=\"absbottom\" style=\"CURSOR: hand\" onclick=change(query)><br>"

	."<input type=\"submit\" value=\""._SEARCH."\">"

	."</form>"

	."[ <a href=\"modules.php?name=$module_name\">"._ARCHIVESINDEX."</a> ]</div>";

	CloseTable();

	include("footer.php");

}

$sa = isset($sa) ? $sa : "";

$year = (isset($year) && intval($year) > 0) ? intval($year) : gmdate('Y');

$month = (isset($month) && intval($month) > 0) ? intval($month) : gmdate('m');

$month_l = isset($month_l)? FixQuotes($month_l) : "";

switch($sa) {

	case "show_all":

	show_all();

	break;

	case "show_month":

	show_month($year, $month, $month_l);

	break;

	default:

	select_month($in);

	break;

}

?>