/**
 * Slider plugin
 *
 * Copyright (c) 2006 Mahmood Namvar (phpnuke.ir)
 * Dual licensed under the MIT and GPL licenses:
 * http://www.opensource.org/licenses/mit-license.php
 * http://www.gnu.org/licenses/gpl.html
 *
 */

function start_slider(){
	if(!this.next && !this.prev){
	
		this.slider_count = 0;
		$('#slider2-contents li').each(
			function(index, value)
			{
				slider_count++;
				$(this).addClass('slider2-item-'+index);
			}
		);
		this.limit = this.slider_count-6;
	}
	this.show = function(cur_slide)
	{
	
		this.current_slide = cur_slide;
		
		if(cur_slide == this.limit){
			$('#next_slide').css({'visibility':'hidden'});
		}else{
			$('#next_slide').css({'visibility':'visible'});
		}
		if(cur_slide == 0){
			$('#prev_slide').css({'visibility':'hidden'});
		}else{
			$('#prev_slide').css({'visibility':'visible'});
		}
				
		new_slide = (parseInt(cur_slide+1) > this.limit) ? 0:parseInt(cur_slide+1);
		var margin = parseInt(137*new_slide*(-1));
		
		this.timeout = window.setTimeout(function(){
			$('#slider2-contents ul').animate({"marginRight":margin}, 1000);
			show(new_slide);
		},3000);
	}

	this.next = function()
	{	
		new_slide = (parseInt(current_slide+1) > this.limit) ? 0:parseInt(current_slide+1);
		clearTimeout(this.timeout);
		var margin = parseInt(137*new_slide*(-1));
		$('#slider2-contents ul').animate({"marginRight":margin}, 1000);
		this.show(new_slide);
	}

	this.prev = function()
	{
		new_slide = (parseInt(current_slide-1) < 0) ? 0:parseInt(current_slide-1);
		clearTimeout(this.timeout);
		var margin = parseInt(137*new_slide*(-1));
		$('#slider2-contents ul').animate({"marginRight":margin}, 1000);
		this.show(new_slide);
	}
	return this;
}