<?php

/************************************************************************/
/* PHP-NUKE: Web Portal System                                          */
/* ===========================                                          */
/*                                                                      */
/* Copyright (c) 2006 by Francisco Burzi                                */                                
/* http://phpnuke.org                                                   */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/

if (!defined('ADMIN_FILE')) {
	die ("Access Denied");
}

global $prefix, $db, $admin_file;
$aid = substr("$aid", 0,25);
$row1 = $db->sql_fetchrow($db->sql_query("SELECT name, radminsuper, aadminsuper FROM " . $prefix . "_authors WHERE aid='$aid'"));
if ($row1['aadminsuper'] == 1) {
	$filename =  basename(__FILE__);
	$filename = substr($filename,0,-4);
	$row = $db->sql_fetchrow($db->sql_query("SELECT * FROM " . $prefix . "_admins_menu WHERE atitle='$filename'"));
	$aadmins = $row['aadmins'];
	$aadmins = explode(",",$aadmins);
	if(in_array($row1['name'],$aadmins)){
		$yes = 1;
	}else{
		$yes = 0;
	}
}

if ($row1['radminsuper'] == 1 OR $yes == 1) {

	/*********************************************************/
	/* Sections Manager Functions                            */
	/*********************************************************/

	function upgrade($start_upgrade) {
		global $prefix, $user_prefix, $db, $sitename, $admin_file, $nukeurl;
		@include("header.php");
		GraphicAdmin();
		if (extension_loaded('sockets') && function_exists('fsockopen') ){
			$latest_version = get_latest_vershion_from_nuke();
		}
		$result = $db->sql_query("SELECT * FROM ".$prefix."_config");
		$row = $db->sql_fetchrow($result);
		$Version_Num = $row['Version_Num'];
		$last_patch_install = $row['last_patch_install'];
		if($Version_Num != $latest_version[0] OR $last_patch_install != $latest_version[1]){
			$version_msg = _BAD_VERSION;
			$version_check = false;
			$version_bgcolor = "#BC2A4D";
		}else{
			$version_msg = _GOOD_VERSION;
			$version_check = true;
			$version_bgcolor = " #228822";
		}
		OpenAdminTable();
			if(!$start_upgrade){
				echo"
				<div align=\"center\">
					<table id=\"product-table\" border=\"1\" width=\"600\">
						<tr>
							<th colspan=\"2\" class=\"table-header-repeat line-left\" style=\"text-align:center;\"><a>"._WELLCOME_TO_NUKE_UPGRADE_PAGE."</a></th>
						</tr>
						<tr>
							<td colspan=\"2\" align=\"center\" style=\"background-color:$version_bgcolor;color:#FFFFFF;\"><b>$version_msg<b></td>
						</tr>
						<tr>
							<td style=\"width:50%;line-height:25px;\">"._YOUR_NUKE_VERSION."<br />"._YOUR_PATCH_INSTALLED."</td>
							<td style=\"width:50%;line-height:25px;\">$Version_Num<br />$last_patch_install</td>
						</tr>
						<tr>
							<td style=\"width:50%;line-height:25px;\">"._LATEST_NUKE_VERSION_PUBLISHED."<br />"._NUKE_PATCH_INSTALLED."</td>
							<td style=\"width:50%;line-height:25px;\">".$latest_version[0]."<br />".$latest_version[1]."</td>
						</tr>";
						if(!$version_check){
							// Request URL Redirect To Nuke Url
							$Req_Protocol 	= strpos(strtolower($_SERVER['SERVER_PROTOCOL']),'https') === FALSE ? 'http' : 'https';
							$Req_Hosta     	= $_SERVER['HTTP_HOST'];
							$Req_Uri		= $_SERVER['REQUEST_URI'];
							$Req_URIs		= $Req_Protocol . '://' . $Req_Host . $Req_Uri;
							echo"<tr>
								<td colspan=\"2\" align=\"center\">"._UPGRADE_YOUR_NUKE_NOW."<br /><br />
								<a href=\"".$admin_file.".php?op\" /></a>
								<form action=\"http://www.phpnuke.ir/patches.php\" method=\"post\" id=\"infoForm\">
									<table width=\"400\" cellspacing=\"0\" cellpadding=\"5\" align=\"center\">
										<tr>
											<td align=\"right\">FTP Server</td>
											<td align=\"right\"><input type=\"text\" name=\"ftphost\" dir=\"ltr\" value=\"ftp.yoursite.com\" /></td>
										</tr>
										<tr>
											<td align=\"right\">FTP Username</td>
											<td align=\"right\"><input type=\"text\" name=\"ftpusername\" dir=\"ltr\" value=\"ftp user\" /></td>
										</tr>
										<tr>
											<td align=\"right\">FTP Password</td>
											<td align=\"right\"><input type=\"password\" dir=\"ltr\" name=\"ftppass\" /></td>
										</tr>					  
										<tr>
											<td align=\"center\" colspan=\"2\"><input type=\"submit\" dir=\"ltr\" value=\""._UPGRADE_YOUR_NUKE_NOW_LINK."\" /></td>
										</tr>
									</table>
									<input type=\"hidden\" name=\"redirect_url\" value=\"".$nukeurl."".$admin_file.".php?op=upgrade&start_upgrade=true\" />
								</form>
								</td>
							</tr>";
						}
					echo"</table>
				</div>
				";
			}else{
				include("admin/modules/modules/pclzip.lib.php");
				$zip_dir = @basename("patch".$latest_version[1].".zip");
				$archive = new PclZip("patch".$latest_version[1].".zip");
				$archive->extract("./");
				@unlink("patch".$latest_version[1].".zip");
				echo "<META HTTP-EQUIV=\"refresh\" content=\"2;URL=patch".$latest_version[1].".php\">";
				echo"
				<div align=\"center\">
					<table id=\"product-table\" border=\"1\" width=\"600\">
						<tr>
							<th colspan=\"2\" class=\"table-header-repeat line-left\" style=\"text-align:center;\"><a>"._WELLCOME_TO_NUKE_UPGRADE_PAGE."</a></th>
						</tr>
						<tr>
							<td colspan=\"2\" align=\"center\">فایلهای مورد نیاز با موفقیت به سرور شما منتقل شد.شما به قسمت بعد برای ادامه بروزرسانی منتقل خواهید شد ...</td>
						</tr>
					</table>
				</div>
				";
			}
		CloseAdminTable();
		@include("footer.php");
	}

	switch ($op) {

		default:
		upgrade($start_upgrade);
		break;
	}

} else {
	header("location: ".$admin_file.".php");
}

?>