<?php

/************************************************************************/
/* PHP-NUKE: Web Portal System                                          */
/* ===========================                                          */
/*                                                                      */
/* Copyright (c) 2006 by Francisco Burzi                                */
/* http://phpnuke.org                                                   */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/

if (!defined('MODULE_FILE')) {
	die ("You can't access this file directly...");
}
require_once("mainfile.php");
$module_name = basename(dirname(__FILE__));
get_lang($module_name);

if(!isset($sid)) {
	exit();
}

function printpdf($sid) {
	global $site_logo, $nukeurl, $sitename, $prefix, $db, $module_name,$ThemeSel,$align, $gtset;
	$sid = intval($sid);
	$row = $db->sql_fetchrow($db->sql_query("SELECT title, time, hometext, bodytext, topic, notes FROM ".$prefix."_stories WHERE sid='$sid'"));
	$aid = filter($row['aid'], nohtml);
	$title = filter($row['title'], nohtml);
	$time = $row['time'];
	$hometext = codereplace($row['hometext']);
	$bodytext = codereplace($row['bodytext']);
	$topics = explode(",",$row['topic']);
	foreach($topics as $topic){
		$row2 = $db->sql_fetchrow($db->sql_query("SELECT topictext FROM ".$prefix."_topics WHERE topicid='$topic'"));
		$topictext[] = filter($row2['topictext'], "nohtml");
	}
	$topictext = implode(",",$topictext);
	$notes = filter($row['notes']);
	$notes2 = str_replace(" ","_",$notes);
	$notes2 = explode(":",$notes2);
	foreach($notes2 as $tag){
		$tags .= "<i><a href=\"modules.php?name=News&file=tags&tags=$tag\">".str_replace("_"," ",$tag)."</a></i> ";
	}
	$datetime=nuketimes($time);

	require_once('includes/pdf/tcpdf.php');

	$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);

	$pdf->SetCreator($sitename);
	$pdf->SetAuthor($aid);
	$pdf->SetTitle($title);
	$pdf->SetSubject($topictext);
	$pdf->SetKeywords($notes);
	// set default header data
	$pdf->SetHeaderData('logo.png', 50, '', '');

	// set header and footer fonts
	$pdf->setHeaderFont(Array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
	$pdf->setFooterFont(Array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));

	// set default monospaced font
	$pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

	//set margins
	$pdf->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
	$pdf->SetHeaderMargin(PDF_MARGIN_HEADER);
	$pdf->SetFooterMargin(PDF_MARGIN_FOOTER);

	//set auto page breaks
	$pdf->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);

	//set image scale factor
	//$pdf->setImageScale(PDF_IMAGE_SCALE_RATIO);

	// set some language dependent data:
	$lg = Array();
	$lg['a_meta_charset'] = 'UTF-8';
	$lg['a_meta_dir'] = 'rtl';
	$lg['a_meta_language'] = 'fa';
	$lg['w_page'] = 'page';

	//set some language-dependent strings
	$pdf->setLanguageArray($lg);

	// ---------------------------------------------------------

	// set font
	$pdf->SetFont('dejavusans', '', 10);

	// add a page
	$pdf->AddPage();

	$body = "<b>$title</b><br /><br /><small>$datetime</small><br /><small>"._TOPIC." : $topictext</small><br />$hometext<br />$bodytext<br />$tags";
	$pdf->WriteHTML($body, true, 0, true, 0);
	$pdf->Ln();
	$pdflink = newslink($sid);
	$note = ""._COMESFROM." :<a href=\"$nukeurl\"> $sitename</a> <br />"._THEURL." <a dir = ltr href=\"".newslink($sid)."\">$nukeurl/<span style=\"direction:ltr;text-align:left;\">$pdflink</span></a>";
	$pdf->WriteHTML($note, true, 0, true, 0);
	$pdf->Output();
	die();
	//============================================================+
	// END OF FILE                                                
	//============================================================+	
}

function is_group_news($user, $sid, $ok) {
          global $prefix, $db, $user_prefix, $cookie, $user;
     if (is_user($user)) {
          if(!is_array($user)) {
          $cookie = cookiedecode($user);
          $uid = intval($cookie[0]);
          } else {
          $uid = intval($user[0]);
          }
          $result = $db->sql_query("SELECT points FROM ".$user_prefix."_users WHERE user_id='$uid'");
          $row = $db->sql_fetchrow($result);
          $points = intval($row['points']);
          $db->sql_freeresult($result);
          $result2 = $db->sql_query("SELECT news_group FROM ".$prefix."_stories WHERE sid='$sid'");
          $row2 = $db->sql_fetchrow($result2);
          $news_group = intval($row2['news_group']);
          $db->sql_freeresult($result2);
          $result3 = $db->sql_query("SELECT points FROM ".$prefix."_groups WHERE id='$news_group'");
          $row3 = $db->sql_fetchrow($result3);
          $grp = intval($row3['points']);
          $db->sql_freeresult($result3);
          if (($points >= 0 AND $points >= $grp) OR $news_group == 0) {
        	return 1;
          }
     }
     return 0;
}

global $user, $admin, $db, $prefix;
$row = $db->sql_fetchrow($db->sql_query("SELECT newslevel, news_group FROM ".$prefix."_stories WHERE sid='$sid'"));
$newslevel  = intval($row['newslevel']);
$news_group = intval($row['news_group']);
$story_pass = intval($row['story_pass']);

$this_article_pass = $_COOKIE['this_article_pass'.$sid];
$this_article_pass = intval($this_article_pass);

if(($story_pass != "") && ($this_article_pass != "1")){
	if(!isset($your_pass)){
		$bodytext= "<center>";
		$bodytext.=""._REQUIRED_PASS."<br><br><form action=\"modules.php?name=$module_name&file=article-seo&sid=$sid-\" method=\"post\">";
		$bodytext.=""._INSERT_PASS." &nbsp;<input type=\"password\" name=\"your_pass\" /> &nbsp;<input type=\"submit\" value=\""._SEND."\" />";
		$bodytext.= _GOBACK;
		$bodytext.= "</center>";
		$ending = 1;
	}elseif(isset($your_pass) && ($story_pass != $your_pass)){
		$bodytext= "<center>";
		$bodytext.=""._WRONG_PASS."<br><br><form action=\"modules.php?name=$module_name&file=article-seo&sid=$sid-\" method=\"post\">";
		$bodytext.=""._INSERT_PASS." &nbsp;<input type=\"password\" name=\"your_pass\" /> &nbsp;<input type=\"submit\" value=\""._SEND."\" />";		
		$bodytext.= _GOBACK;
		$bodytext.= "</center>";
		$ending = 1;
	}elseif(isset($your_pass) && ($story_pass == $your_pass)){
		nuke_set_cookie("this_article_pass".$sid,"1",time()+3600);
		header("location: ".LinkToGT(newslink($sid))."");
	}
}

if($ending != 1){
	if ($newslevel == 0) {
	printpdf($sid);
	} elseif ($newslevel == 1 AND (is_user($user) AND is_group_news($user, $sid)) OR is_admin($admin)) {
	printpdf($sid);	
	} elseif ($newslevel == 1 AND (is_user($user) AND !is_group_news($user, $sid)) AND !is_admin($admin)) {	
		  if ($news_group != 0) {
			$result3 = $db->sql_query("SELECT name FROM ".$prefix."_groups WHERE id='".intval($news_group)."'");
			$row3 = $db->sql_fetchrow($result3);
			$resultz = $db->sql_query("SELECT points FROM ".$prefix."_groups WHERE id='".intval($news_group)."'");
			$rowz = $db->sql_fetchrow($resultz);
			include("header.php");
			OpenTable();
			echo"<center>";
			echo""._DEDICATEDTO1." <b>".$row3['name']."</b> "._DEDICATEDTO1."<br><br>";
			echo""._NEEDEDSCORE." : ".$rowz['points']."<br><br>";
			echo"</center>";
		  }
			echo"<center>";
			echo _GOBACK;
			echo"</center>";
			CloseTable();
			include("footer.php");		
	} elseif ($newslevel == 2 AND is_admin($admin)) {
	printpdf($sid);
	} elseif ($newslevel == 2 AND !is_admin($admin)) {
			include("header.php");
			OpenTable();
			echo"<center>";
			echo""._DEDICATEDTOADMINS."<br><br>";
			echo _GOBACK;
			echo"</center>";
			CloseTable();
			include("footer.php");			
	} elseif ($newslevel == 3 AND paid()) {
	printpdf($sid);
	} else {
			include("header.php");
			OpenTable();
			echo"<center>";
			echo""._REGISTERNEED."<br><br><a href = 'modules.php?name=Your_Account&op=new_user'>"._CZ_REGISTER."</a><br><br>";
			echo _GOBACK;
			echo"</center>";
			CloseTable();
			include("footer.php");			
	}
}else{
	include("header.php");
	OpenTable();
	echo $bodytext;
	CloseTable();
	include("footer.php");	
}

?>