<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Welcome extends CI_Controller {


	public function index()
	{
		$this->output->enable_profiler(false);
		if( ! empty($_POST['price']) and $_POST['price']>=100 and is_numeric($_POST['price']))
		{
			$data = array(
				'au'=>str_replace('.','_temp_',microtime(true)-1300000000) ,
				'price'=> (int) $_POST['price'] ,
				'description'=> strip_tags($_POST['desc']) ,
				'name'=> strip_tags($_POST['name']) ,
				'phone'=> strip_tags($_POST['mob']) ,
				'email'=> strip_tags($_POST['email']) ,
				'time'=> time(),
				'status'=> 0 ,
			);
			 $this->db->insert('order', $data);
			
			unset($data['description'] , $data['name'] , $data['phone'] , $data['email']  );
			$query = $this->db->get_where('order', $data, 1)->row();
			//print_r($query->id);
			
			$client = new SoapClient("http://www.jahanpay.com/webservice?wsdl");
			$api = $this->config->item('jahanpay_api') ;
			$amount = $data['price'] ; //Tooman
			$callbackUrl = site_url('welcome/back/'.$data['time']);
			$orderId = $query->id;
			$txt = urlencode("تراکنش از آسان پرداز - شماره {$query->id}");
			$res = $client->requestpayment($api , $amount , $callbackUrl , $orderId , $txt);
			
			$this->db->where('id', $query->id);
			$this->db->update('order', array('au'=>$res)); 
			header("location: http://www.jahanpay.com/pay_invoice/{$res}");
			die;
		}
		$this->load->view('welcome_message');
	}
	
	function back($time = 0)
	{
		$time = (int) $time;
		$au = strip_tags($_GET['au']) ;
		$id = (int) $_GET['order_id'];
		$data = array(
			'time'=>$time ,
			'id'=>$id ,
			'status'=> 0 ,
		);
		$query = $this->db->get_where('order', $data, 1)->row();
		$out = array();
		if(empty($query))
			$out['status']=0;
		elseif($au != $query->au)
			$out['status'] =0;
		else
		{
			$client = new SoapClient("http://www.jahanpay.com/webservice?wsdl");
			$result = $client->verification($this->config->item('jahanpay_api') ,$query->price,$_GET["au"]);
			if( ! empty($result) and $result==1)
			{
				$out['status'] =1;
				$this->db->where('id', $id);
				$this->db->update('order', array('status'=>1)); 
			}
			else
			{
				$out['status'] =0;
			}
		}
		
		//print_r($out);
		$this->load->view('back',$out);
		
		
		
	}
	
	
}


/* End of file welcome.php */
/* Location: ./application/controllers/welcome.php */