<?php
ob_start();
require_once("mainfile.php");
global $db, $prefix, $nukeurl, $sitename;
ob_end_clean();
function correct_text($text)
{
	$bad_chars = array(
		"&quot;",
		"&zwnj;",
		"&laquo;",
		"&raquo;",
		"&rlm;",
		"&lrm;",
		"&ndash;",
		"&zwj;",
		"",
		"&not;",
		"&",
	);
	$text = str_replace($bad_chars,"",$text);
	return $text;
}
header("Content-Type: text/xml");
if((isset($is_index) && $is_index != "") && (!isset($module) OR ($module != "Statics" AND !preg_match("#tags#isU", $module))))
{
	$maintag = "sitemapindex";
	$xsi_link = "siteindex.xsd";
}
else
{
	$maintag = "urlset";
	$xsi_link = "sitemap.xsd";
}
echo'<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet type="text/xsl" href="sitemap.xsl"?>
<'.$maintag.' xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.sitemaps.org/schemas/sitemap/0.9 http://www.sitemaps.org/schemas/sitemap/0.9/'.$xsi_link.'" xmlns="http://www.sitemaps.org/schemas/sitemap/0.9">';
	$result1 = $db->sql_query("SELECT
	(SELECT s.time FROM ".$prefix."_stories AS s ORDER BY s.time DESC LIMIT 0,1) AS last_stories_time,
	(SELECT p.time FROM ".$prefix."_products AS p ORDER BY p.time DESC LIMIT 0,1) AS last_products_time,
	(SELECT c.date FROM ".$prefix."_pages AS c WHERE c.active = '1' ORDER BY c.date DESC LIMIT 0,1) AS last_contents_time,
	(SELECT d.date FROM ".$prefix."_downloads_downloads AS d ORDER BY d.date DESC LIMIT 0,1) AS last_downloads_time,
	(SELECT mtg.dateadd FROM ".$prefix."_mtgalpic AS mtg ORDER BY mtg.dateadd DESC LIMIT 0,1) AS last_mtgalpic_time");
	$row1 = $db->sql_fetchrow($result1);
	$site_last_modified = 0;
	$site_last_modified = get_last_modified_time($row1);
	
	$phpbb_seo_status = new get_phpbb_seo_status();
	$phpbb_seo_status_array = $phpbb_seo_status->cache_config;
	
	$handle=opendir('modules');
	while ($mfile = readdir($handle)) { if ( (!@ereg("[.]",$mfile)) ) { $moduleslist .= "$mfile "; } }
	closedir($handle);
	$moduleslist = explode(" ", $moduleslist);
	sort($moduleslist);
	foreach($moduleslist as $modulename) {
		if(file_exists("modules/$modulename/GT-$modulename.php")){
			@include("modules/$modulename/GT-$modulename.php");
			foreach($urlin as $urlsin){
				$urlsin = str_replace("\"(?<!/)","(?<!/)",$urlsin);
				$urlsin = str_replace("\"'","'",$urlsin);
				$urlsin = str_replace('"','',$urlsin);
				$urlins[] = $urlsin;
			}
			foreach($urlout as $urlsout){
				$urlsout = str_replace("\"(?<!/)","(?<!/)",$urlsout);
				$urlsout = str_replace("\"'","'",$urlsout);
				$urlsout = str_replace('"','',$urlsout);
				$urlouts[] = $urlsout;
			}
		}
	}
	
	if($op == "misc")
	{
		echo'<url>
			<loc>'.$nukeurl.'</loc>
			<lastmod>'.date('Y-m-d\TH:i:s+00:00',$site_last_modified).'</lastmod>
			<changefreq>daily</changefreq>
			<priority>1.0</priority>
		</url>
		<url>
			<loc>'.$nukeurl.'sitemap.xml</loc>
			<lastmod>'.date('Y-m-d\TH:i:s+00:00',$site_last_modified).'</lastmod>
			<changefreq>monthly</changefreq>
			<priority>0.5</priority>
		</url>';
		$result3 = $db->sql_query("SELECT * FROM ".$prefix."_modules WHERE active='1' AND inmenu='1' ORDER BY custom_title ASC");
		while ($row3 = $db->sql_fetchrow($result3))
		{
		$title = filter($row3['title'], "nohtml");
		$title2 = @ereg_replace("_", " ", $title);	
		$ctitle = filter($row3['custom_title'], "nohtml");
		include("modules/".$title."/language/lang-".$currentlang.".php");
		if($ctitle != "")
		{
			$m_title2 = $ctitle;
		}
		elseif(strlen($mudulename) != 0)
		{
			$ctitle = "$mudulename";
			$m_title2 = $ctitle;
		}	
		echo'<url>
			<loc>'.sitemap_LinkToGT("modules.php?name=$title").'</loc>
			<lastmod>'.date('Y-m-d\TH:i:s+00:00',$site_last_modified).'</lastmod>
			<changefreq>never</changefreq>
			<priority>0.1</priority>
		</url>';
		}
		if(is_active("News") && intval($row1['last_stories_time']) > 0){
			$result2 = $db->sql_query("SELECT t.topicid, t.topicname, t.topictext, (SELECT s.time FROM ".$prefix."_stories AS s WHERE t.topicid = s.topic_link ORDER BY s.time DESC LIMIT 0,1) AS last_stories_time FROM ".$prefix."_topics AS t ORDER BY t.topicid ASC");
			while($row2 = $db->sql_fetchrow($result2))
			{
				$topicid = $row2['topicid'];
				$topicname = $row2['topicname'];
				$topictext = $row2['topictext'];
				$last_stories_time = ($row2['last_stories_time'] != "") ? $row2['last_stories_time']:time();
				$topic_link = "modules.php?name=News&new_topic=$topicid$topicname/$topictext/";
				echo"<url>
					<loc>".sitemap_LinkToGT($topic_link)."</loc>
						<lastmod>" . date('Y-m-d\TH:i:s+00:00',$last_stories_time) . "</lastmod>
						<changefreq>weekly</changefreq>
					<priority>0.5</priority>
				</url>
				";
			}
		}
		if(is_active("Products") && intval($row1['last_products_time']) > 0){
			$result4 = $db->sql_query("SELECT t.topicid, t.topicname, t.topictext, (SELECT p.time FROM ".$prefix."_products AS p WHERE t.topicid = p.topic ORDER BY p.time DESC LIMIT 0,1) AS last_products_time FROM ".$prefix."_topics AS t ORDER BY t.topicid ASC");
			while($row4 = $db->sql_fetchrow($result4))
			{
				$topicid = $row4['topicid'];
				$topicname = $row4['topicname'];
				$topictext = $row4['topictext'];
				$last_products_time = ($row4['last_products_time'] != "") ? $row4['last_products_time']:time();
				$topic_link = "modules.php?name=News&new_topic=$topicid$topicname/$topictext/";
				echo"<url>
					<loc>".sitemap_LinkToGT($topic_link)."</loc>
						<lastmod>" . date('Y-m-d\TH:i:s+00:00',$last_products_time) . "</lastmod>
						<changefreq>weekly</changefreq>
					<priority>0.5</priority>
				</url>
				";
			}
		}
	}
	elseif($op == "archive")
	{
		global $year, $month;

		$jnmonth = $month +1;
		$jnyear = $year;
		if ($jnmonth == 13){$jnyear++ ; $jnmonth = 1;};
		
		$currenttime = mktime(0,0,0,$month,1,$year);
		$nexttime = mktime(0,0,0,$jnmonth,1,$jnyear);
		
		$function_name = "sitemap_get_".strtolower($mode);
		$function_name($currenttime, $nexttime, $urlins, $urlouts);
	}
	elseif($op == "modules")
	{
		if(preg_match("#tags#isU", $module))
		{
			$module = explode("-",$module);
			sitemap_get_tags($module[0], $urlins, $urlouts);
		}elseif(strtolower($module) == "statics"){
			sitemap_get_statics($urlins, $urlouts);
		}
	}
	else
	{
		echo'<sitemap>
			<loc>'.$nukeurl.'sitemap-misc.xml</loc>
			<lastmod>'.date('Y-m-d\TH:i:s+00:00',$site_last_modified).'</lastmod>
		</sitemap>';
		if(is_active("News") && intval($row1['last_stories_time']) > 0){
		sitemap_index_news();
		$stories_result = $db->sql_query("SELECT notes from ".$prefix."_stories");
		$has_notes = false;
		while($stories_row = $db->sql_fetchrow($stories_result)){
			if($stories_row['notes'] != ""){
				$has_notes = true;
				break;
			}
		}
		if($has_notes){
		echo'<sitemap>
			<loc>'.$nukeurl.'sitemap-News-tags.xml</loc>
			<lastmod>'.date('Y-m-d\TH:i:s+00:00',$row1['last_stories_time']).'</lastmod>
		</sitemap>';
		}
		}
		if(is_active("Products") && intval($row1['last_products_time']) > 0){
		sitemap_index_products();
		$products_result = $db->sql_query("SELECT notes from ".$prefix."_products");
		$has_notes = false;
		while($products_row = $db->sql_fetchrow($products_result)){
			if($contents_row['notes'] != ""){
				$has_notes = true;
				break;
			}
		}
		if($has_notes){
		echo'<sitemap>
			<loc>'.$nukeurl.'sitemap-Products-tags.xml</loc>
			<lastmod>'.date('Y-m-d\TH:i:s+00:00',$row1['last_products_time']).'</lastmod>
		</sitemap>';
		}
		}
		if(is_active("Content") && intval($row1['last_contents_time']) > 0){
		sitemap_index_contents();
		$contents_result = $db->sql_query("SELECT signature from ".$prefix."_pages WHERE active = '1'");
		$has_notes = false;
		while($contents_row = $db->sql_fetchrow($contents_result)){
			if($contents_row['signature'] != ""){
				$has_notes = true;
				break;
			}
		}
		if($has_notes){
		echo'<sitemap>
			<loc>'.$nukeurl.'sitemap-Contents-tags.xml</loc>
			<lastmod>'.date('Y-m-d\TH:i:s+00:00',$row1['last_contents_time']).'</lastmod>
		</sitemap>';
		}
		}
		if(is_active("static")){
		$static_result = $db->sql_query("SELECT pid, notes from ".$prefix."_staticpages WHERE active='0'");
		if(intval($db->sql_numrows($static_result)) > 0){
			echo'
			<sitemap>
				<loc>'.$nukeurl.'sitemap-Statics.xml</loc>
				<lastmod>'.date('Y-m-d\TH:i:s+00:00',time()).'</lastmod>
			</sitemap>';
			$has_notes = false;
			while($static_row = $db->sql_fetchrow($static_result)){
				if($static_row['notes'] != ""){
					$has_notes = true;
					break;
				}
			}
			if($has_notes){
			echo'<sitemap>
				<loc>'.$nukeurl.'sitemap-Statics-tags.xml</loc>
				<lastmod>'.date('Y-m-d\TH:i:s+00:00',time()).'</lastmod>
			</sitemap>';
			}
		}
		}
		if(is_active("Downloads") && intval($row1['last_downloads_time']) > 0){
		sitemap_index_downloads();
		}
		if(is_active("MT-Gallery") && intval($row1['last_mtgalpic_time']) > 0){
		sitemap_index_galleries();
		}
		sitemap_index_forums();
	}
echo'</'.$maintag.'>';

function get_last_modified_time($row1){
	$site_last_modified = 0;
	$site_last_modified_stories = intval($row1['last_stories_time']);
	$site_last_modified_products = intval($row1['last_products_time']);
	$site_last_modified_contents = intval($row1['last_contents_time']);
	$site_last_modified_downloads = intval($row1['last_downloads_time']);
	$site_last_modified_mtgalpic = intval($row1['last_mtgalpic_time']);
	
	if($site_last_modified < $site_last_modified_stories)
	{
		$site_last_modified = $site_last_modified_stories;
	}
	if($site_last_modified < $site_last_modified_products)
	{
		$site_last_modified = $site_last_modified_products;
	}
	if($site_last_modified < $site_last_modified_contents)
	{
		$site_last_modified = $site_last_modified_contents;
	}
	if($site_last_modified < $site_last_modified_downloads)
	{
		$site_last_modified = $site_last_modified_downloads;
	}
	if($site_last_modified < $site_last_modified_mtgalpic)
	{
		$site_last_modified = $site_last_modified_mtgalpic;
	}
	if($site_last_modified == ""){
		$site_last_modified = time();
	}
	return $site_last_modified;
}

function sitemap_index_news(){
	global $db, $prefix, $nukeurl;
	$result = $db->sql_query("SELECT time from ".$prefix."_stories order by time DESC");
	$thismonth = "";
	while($row = $db->sql_fetchrow($result))
	{
		$time = $row['time'];
		$dateTimes_year = date("Y",$time);
		$dateTimes_month = date("m",$time);
		if ($dateTimes_month != $thismonth)
		{
			echo'<sitemap>
				<loc>'.$nukeurl.'sitemap-News-'.$dateTimes_year.'-'.$dateTimes_month.'.xml</loc>
				<lastmod>'.date('Y-m-d\TH:i:s+00:00',$time).'</lastmod>
			</sitemap>';
			$thismonth = $dateTimes_month;
		}
	}
}

function sitemap_get_news($currenttime, $nexttime, $urlins, $urlouts){
	global $db, $prefix, $nukeurl;
	$newslink = sitemap_links("News");
	$result = $db->sql_query("SELECT s.sid, s.title, s.time, s.newsurl, t.topicname from ".$prefix."_stories AS s LEFT JOIN ".$prefix."_topics AS t ON t.topicid = s.topic_link WHERE s.time >= '$currenttime' AND s.time < '$nexttime' order by s.time DESC");

	while($row = $db->sql_fetchrow($result))
	{
		$sid = $row['sid'];
		$title = $row['title'];
		$newsurl = $row['newsurl'];
		$story_time = $row['time'];
		$topicname = correct_text($row['topicname']);
		$newsurl = ($newsurl != "") ? str_replace(" ", "-", correct_text($newsurl)):str_replace(" ","-", correct_text($title));
		$story_link = sitemap_LinkToGT(str_replace(array("{SID}","{TITLE}","{NEWSURL}","{TOPICNAME_LINK}"),array($sid, $title, $newsurl, $topicname),$newslink));
		echo'<url>
			<loc>'.$story_link.'</loc>
			<lastmod>'.date('Y-m-d\TH:i:s+00:00',$story_time).'</lastmod>
			<changefreq>daily</changefreq>
			<priority>0.7</priority>
		</url>';
	}
}

function sitemap_index_products(){
	global $db, $prefix, $nukeurl;
	$result = $db->sql_query("SELECT time from ".$prefix."_products order by time DESC");
	$thismonth = "";
	while($row = $db->sql_fetchrow($result))
	{
		$time = $row['time'];
		$dateTimes_year = date("Y",$time);
		$dateTimes_month = date("m",$time);
		if ($dateTimes_month != $thismonth)
		{
			echo'<sitemap>
				<loc>'.$nukeurl.'sitemap-Products-'.$dateTimes_year.'-'.$dateTimes_month.'.xml</loc>
				<lastmod>'.date('Y-m-d\TH:i:s+00:00',$time).'</lastmod>
			</sitemap>';
			$thismonth = $dateTimes_month;
		}
	}
}

function sitemap_get_products($currenttime, $nexttime, $urlins, $urlouts){
	global $db, $prefix, $nukeurl;
	$productslink = sitemap_links("Products");
	$result = $db->sql_query("SELECT p.sid, p.title, p.time, p.newsurl, pt.topicname from ".$prefix."_products AS p LEFT JOIN ".$prefix."_products_topics AS pt ON pt.topicid = p.topic WHERE p.time >= '$currenttime' AND p.time < '$nexttime' order by p.time DESC");

	while($row = $db->sql_fetchrow($result))
	{
		$sid = $row['sid'];
		$title = $row['title'];
		$newsurl = $row['newsurl'];
		$story_time = $row['time'];
		$topicname = correct_text($row['topicname']);
		$newsurl = ($newsurl != "") ? str_replace(" ", "-", correct_text($newsurl)):str_replace(" ","-", correct_text($title));
		$product_link = sitemap_LinkToGT(str_replace(array("{SID}","{TITLE}","{NEWSURL}","{TOPICNAME_LINK}"),array($sid, $title, $newsurl, $topicname),$productslink));
		echo'<url>
			<loc>'.$product_link.'</loc>
			<lastmod>'.date('Y-m-d\TH:i:s+00:00',$story_time).'</lastmod>
			<changefreq>daily</changefreq>
			<priority>0.7</priority>
		</url>';
	}
}

function sitemap_index_contents(){
	global $db, $prefix, $nukeurl;
	$result = $db->sql_query("SELECT date from ".$prefix."_pages WHERE active='1' order by date DESC");
	$thismonth = "";
	while($row = $db->sql_fetchrow($result))
	{
		$date = $row['date'];
		$dateTimes_year = date("Y",$date);
		$dateTimes_month = date("m",$date);
		if ($dateTimes_month != $thismonth)
		{
			echo'<sitemap>
				<loc>'.$nukeurl.'sitemap-Contents-'.$dateTimes_year.'-'.$dateTimes_month.'.xml</loc>
				<lastmod>'.date('Y-m-d\TH:i:s+00:00',$date).'</lastmod>
			</sitemap>';
			$thismonth = $dateTimes_month;
		}
	}
}

function sitemap_get_contents($currenttime, $nexttime, $urlins, $urlouts){
	global $db, $prefix, $nukeurl;
	$newslink = sitemap_links("Contents");
	$result = $db->sql_query("SELECT p.pid, p.title, p.date, ct.title as cat_name from ".$prefix."_pages AS p LEFT JOIN ".$prefix."_pages_categories AS ct ON ct.cid = p.cid WHERE p.date >= '$currenttime' AND p.date < '$nexttime' AND active='1' order by p.date DESC");

	while($row = $db->sql_fetchrow($result))
	{
		$pid = $row['pid'];
		$title = correct_text($row['title']);
		$date = $row['date'];
		$cat_name = correct_text($row['cat_name']);
		$newsurl = ($newsurl != "") ? str_replace(" ", "-", correct_text($newsurl)):str_replace(" ","-", correct_text($title));
		$content_link = sitemap_LinkToGT(str_replace(array("{PID}","{TITLE}","{TOPICNAME_LINK}"),array($pid, $title, $cat_name),$newslink));
		echo'<url>
			<loc>'.$content_link.'</loc>
			<lastmod>'.date('Y-m-d\TH:i:s+00:00',$date).'</lastmod>
			<changefreq>daily</changefreq>
			<priority>0.7</priority>
		</url>';
	}
}

function sitemap_get_statics($urlins, $urlouts){
	global $db, $prefix, $nukeurl;
	$result = $db->sql_query("SELECT pid, title from ".$prefix."_staticpages WHERE active='0' order by pid DESC");
	while($row = $db->sql_fetchrow($result))
	{
		$pid = $row['pid'];
		$title = $row['title'];
		echo'<url>
			<loc>'.sitemap_LinkToGT("modules.php?name=static&op=viewpage&pid=$pid").'</loc>
			<lastmod>'.date('Y-m-d\TH:i:s+00:00',time()).'</lastmod>
			<changefreq>daily</changefreq>
			<priority>0.7</priority>
		</url>';
	}
}

function sitemap_index_downloads(){
	global $db, $prefix, $nukeurl;	
	$result = $db->sql_query("SELECT date from ".$prefix."_downloads_downloads order by date DESC");
	$thismonth = "";
	while($row = $db->sql_fetchrow($result))
	{
		$date = $row['date'];
		$dateTimes_year = date("Y",$date);
		$dateTimes_month = date("m",$date);
		if ($dateTimes_month != $thismonth)
		{
			echo'<sitemap>
				<loc>'.$nukeurl.'sitemap-Downloads-'.$dateTimes_year.'-'.$dateTimes_month.'.xml</loc>
				<lastmod>'.date('Y-m-d\TH:i:s+00:00',$date).'</lastmod>
			</sitemap>';
			$thismonth = $dateTimes_month;
		}
	}
}

function sitemap_get_downloads($currenttime, $nexttime, $urlins, $urlouts){
	global $db, $prefix, $nukeurl;
	$result = $db->sql_query("SELECT lid, title, date from ".$prefix."_downloads_downloads WHERE date >= '$currenttime' AND date < '$nexttime' order by date DESC");

	while($row = $db->sql_fetchrow($result))
	{
		$lid = $row['lid'];
		$title = correct_text($row['title']);
		$date = $row['date'];
		$download_link = sitemap_LinkToGT("modules.php?name=Downloads&d_op=getit&amp;lid=$lid")."".str_replace(" ", "-", $title)."/";
		echo'<url>
			<loc>'.$download_link.'</loc>
			<lastmod>'.date('Y-m-d\TH:i:s+00:00',$date).'</lastmod>
			<changefreq>daily</changefreq>
			<priority>0.7</priority>
		</url>';
	}
}

function sitemap_index_galleries(){
	global $db, $prefix, $nukeurl;	
	$result = $db->sql_query("SELECT dateadd from ".$prefix."_mtgalpic order by dateadd DESC");
	$thismonth = "";
	while($row = $db->sql_fetchrow($result))
	{
		$date = $row['dateadd'];
		$dateTimes_year = date("Y",$date);
		$dateTimes_month = date("m",$date);
		if ($dateTimes_month != $thismonth)
		{
			echo'<sitemap>
				<loc>'.$nukeurl.'sitemap-Galleries-'.$dateTimes_year.'-'.$dateTimes_month.'.xml</loc>
				<lastmod>'.date('Y-m-d\TH:i:s+00:00',$date).'</lastmod>
			</sitemap>';
			$thismonth = $dateTimes_month;
		}
	}
}

function sitemap_get_galleries($currenttime, $nexttime, $urlins, $urlouts){
	global $db, $prefix, $nukeurl;
	$id_cats = array();
	$result = $db->sql_query("SELECT id, id_cat, dateadd from ".$prefix."_mtgalpic WHERE dateadd >= '$currenttime' AND dateadd < '$nexttime' order by dateadd DESC");
	$pics_gallery = "";
	while($row = $db->sql_fetchrow($result))
	{
		$id = $row['id'];
		$id_cat = $row['id_cat'];
		$dateadd = $row['dateadd'];
		$gallery_pics_link = sitemap_LinkToGT("modules.php?name=MT-Gallery&pa=showpic&gal=yes&id=$id");
		$pics_gallery .='<url>
			<loc>'.$gallery_pics_link.'</loc>
			<lastmod>'.date('Y-m-d\TH:i:s+00:00',$dateadd).'</lastmod>
			<changefreq>daily</changefreq>
			<priority>0.7</priority>
		</url>';
		if(!in_array($id_cat, $id_cats)){
			$id_cats[] = $id_cat;
			$dateadds[] = $dateadd;
		}
	}
	$id_cats = implode(",",$id_cats);
	
	$result = $db->sql_query("SELECT id_cat from ".$prefix."_mtgalcat WHERE id_cat IN ($id_cats) order by id_cat DESC");
	$i = 0;
	while($row = $db->sql_fetchrow($result))
	{
		$id_cat = $row['id_cat'];
		$gallery_link = sitemap_LinkToGT("modules.php?name=MT-Gallery&pa=ShowGAL&gal=yes&id_cat=$id_cat");
		echo'<url>
			<loc>'.$gallery_link.'</loc>
			<lastmod>'.date('Y-m-d\TH:i:s+00:00',$dateadds[$i]).'</lastmod>
			<changefreq>daily</changefreq>
			<priority>0.7</priority>
		</url>';
		$i++;
	}
	echo $pics_gallery;
}

function sitemap_get_tags($module, $urlins, $urlouts){
	global $db, $prefix, $nukeurl;
	$all_news_tags = array();
	$all_news_tags_def = array();
	switch($module){
		case"News":
			$result = $db->sql_query("SELECT notes, time from ".$prefix."_stories order by time DESC");
			while($row = $db->sql_fetchrow($result))
			{
				if($row['notes'] == "") continue;
				if(strlen($row['notes']) > 200) continue;
				$notes = explode(":", $row['notes']);
				foreach($notes as $note){
					if($note == "") continue;
					if(!in_array($note, $all_news_tags_def)){
						$all_news_tags_def[] = $note;
						$all_news_tags[] = correct_text(str_replace(" ","_", $note));
						$all_news_tags_date[] = $row['time'];
					}
				}
			}
			foreach($all_news_tags as $all_news_tag_key => $all_news_tag_val){
			echo'<url>
					<loc>'.sitemap_LinkToGT("modules.php?name=News&file=tags&tags=$all_news_tag_val").'</loc>
					<lastmod>'.date('Y-m-d\TH:i:s+00:00',$all_news_tags_date[$all_news_tag_key]).'</lastmod>
					<changefreq>daily</changefreq>
					<priority>0.7</priority>
				</url>';
			}
		break;
		case"Products":
			$result = $db->sql_query("SELECT notes, time from ".$prefix."_products order by time DESC");
			while($row = $db->sql_fetchrow($result))
			{
				if($row['notes'] == "") continue;
				if(strlen($row['notes']) > 200) continue;
				$notes = explode(":", $row['notes']);
				foreach($notes as $note){
					if($note == "") continue;
					if(!in_array($note, $all_news_tags_def)){
						$all_news_tags_def[] = $note;
						$all_news_tags[] = correct_text(str_replace(" ","_", $note));
						$all_news_tags_date[] = $row['time'];
					}
				}
			}
			foreach($all_news_tags as $all_news_tag_key => $all_news_tag_val){
			echo'<url>
					<loc>'.sitemap_LinkToGT("modules.php?name=Products&file=tags&tags=$all_news_tag_val").'</loc>
					<lastmod>'.date('Y-m-d\TH:i:s+00:00',$all_news_tags_date[$all_news_tag_key]).'</lastmod>
					<changefreq>daily</changefreq>
					<priority>0.7</priority>
				</url>';
			}
		break;
		case"Contents":
			$result = $db->sql_query("SELECT signature, date from ".$prefix."_pages WHERE active = '1' order by date DESC");
			while($row = $db->sql_fetchrow($result))
			{
				if($row['signature'] == "") continue;
				if(strlen($row['signature']) > 200) continue;
				$notes = explode(":", $row['signature']);
				foreach($notes as $note){
					if($note == "") continue;
					if(!in_array($note, $all_news_tags_def)){
						$all_news_tags_def[] = $note;
						$all_news_tags[] = correct_text(str_replace(" ","_", $note));
						$all_news_tags_date[] = $row['date'];
					}
				}
			}
			foreach($all_news_tags as $all_news_tag_key => $all_news_tag_val){
			echo'<url>
					<loc>'.sitemap_LinkToGT("modules.php?name=Content&file=tags&op=tags&tag=$all_news_tag_val").'</loc>
					<lastmod>'.date('Y-m-d\TH:i:s+00:00',$all_news_tags_date[$all_news_tag_key]).'</lastmod>
					<changefreq>daily</changefreq>
					<priority>0.7</priority>
				</url>';
			}
		break;
		case"Statics":
			$result = $db->sql_query("SELECT notes from ".$prefix."_staticpages order by pid DESC");
			while($row = $db->sql_fetchrow($result))
			{
				if($row['notes'] == "") continue;
				if(strlen($row['notes']) > 200) continue;
				$notes = explode(":", $row['notes']);
				foreach($notes as $note){
					if($note == "") continue;
					if(!in_array($note, $all_news_tags_def)){
						$all_news_tags_def[] = $note;
						$all_news_tags[] = correct_text(str_replace(" ","_", $note));
					}
				}
			}
			foreach($all_news_tags as $all_news_tag_key => $all_news_tag_val){
			echo'<url>
					<loc>'.sitemap_LinkToGT("modules.php?name=static&file=tags&tags=$all_news_tag_val").'</loc>
					<lastmod>'.date('Y-m-d\TH:i:s+00:00',time()).'</lastmod>
					<changefreq>daily</changefreq>
					<priority>0.7</priority>
				</url>';
			}
		break;
	}
}

function sitemap_index_forums(){
	global $db, $prefix, $nukeurl;	
	$result = $db->sql_query("SELECT f.forum_id, forum_last_post_time, (SELECT t.topic_time from ".$prefix."_bb3topics AS t WHERE f.forum_id = t.forum_id ORDER BY topic_time ASC LIMIT 0,1) AS first_topic_time from ".$prefix."_bb3forums AS f order by first_topic_time DESC");
	$thismonth = "";
	while($row = $db->sql_fetchrow($result))
	{
		$date = $row['first_topic_time'];
		$forum_last_post_time = $row['forum_last_post_time'];
		if($date == "") continue;
		$dateTimes_year = date("Y",$date);
		$dateTimes_month = date("m",$date);
		if ($dateTimes_month != $thismonth)
		{
			echo'<sitemap>
				<loc>'.$nukeurl.'sitemap-Forums-'.$dateTimes_year.'-'.$dateTimes_month.'.xml</loc>
				<lastmod>'.date('Y-m-d\TH:i:s+00:00',$forum_last_post_time).'</lastmod>
			</sitemap>';
			$thismonth = $dateTimes_month;
		}
	}
}

function sitemap_get_forums($currenttime, $nexttime, $urlins, $urlouts){
	global $db, $prefix, $nukeurl, $phpbb_seo_status_array;
	$forum_ids = array();
	$result = $db->sql_query("SELECT f.forum_id, (SELECT t.topic_time from ".$prefix."_bb3topics AS t WHERE f.forum_id = t.forum_id ORDER BY topic_time ASC LIMIT 0,1) AS first_topic_time from ".$prefix."_bb3forums AS f order by first_topic_time DESC");
	
	while($row = $db->sql_fetchrow($result))
	{
		$forum_id = $row['forum_id'];
		$first_topic_time = $row['first_topic_time'];
		if(!in_array($forum_id, $forum_ids) && $row['first_topic_time'] >= $currenttime && $row['first_topic_time'] < $nexttime){
			$forum_ids[] = $forum_id;
		}
	}
	$forum_ids = implode(",",$forum_ids);

	$result = $db->sql_query("SELECT forum_id, forum_last_post_time from ".$prefix."_bb3forums WHERE forum_id IN ($forum_ids) order by forum_id DESC");
	$i = 0;
	while($row = $db->sql_fetchrow($result))
	{
		$forum_id = $row['forum_id'];
		$forum_last_post_time = $row['forum_last_post_time'];
		$forum_link = ($phpbb_seo_status_array['settings']['url_rewrite']) ? ((isset($phpbb_seo_status_array['forum'][$forum_id])) ? $phpbb_seo_status_array['forum'][$forum_id]:"Forum/forum-f$forum_id/"):"Forum/viewforum.php?f=$forum_id";
		
		echo'<url>
			<loc>'.$nukeurl.''.$forum_link.'</loc>
			<lastmod>'.date('Y-m-d\TH:i:s+00:00',$forum_last_post_time).'</lastmod>
			<changefreq>daily</changefreq>
			<priority>0.7</priority>
		</url>';
		$i++;
	}
}

function sitemap_links($mode){
	global $gtset, $userurl, $prefix, $db;
	switch($mode){
		case"News":
			if($gtset == "1"){
				if($userurl == "1"){
					$final_link = "modules.php?name=News&file=article-seo&sid={SID}-{NEWSURL}";
				}elseif ($userurl == "2") {
					$final_link = "modules.php?name=News&file=article-seo&sid={SID}-{NEWSURL}-{TIMELINK}";
				}elseif ($userurl == "3") {
					$final_link = "modules.php?name=News&file=article-seo&sid={SID}-{NEWSURL}-{TOPICNAME_LINK}";
				}elseif ($userurl == "4") {
					$final_link = "modules.php?name=News&file=article-seo&sid={SID}-{TOPICNAME_LINK}-{TIMELINK}";
				}elseif ($userurl == "5") {
					$final_link = "modules.php?name=News&file=article-seo&sid={SID}-{NEWSURL}-{TIMELINK}-{TOPICNAME_LINK}";
				}elseif ($userurl == "6") {
					$final_link = "{SID}/{NEWSURL}/";
				}elseif ($userurl == "7") {
					$final_link = "modules.php?name=News&file=article-seo&sid={SID}{TIMELINK}/{NEWSURL}/";
				}elseif ($userurl == "8") {
					$final_link = "modules.php?name=News&file=article-seo&sid={SID}{TOPICNAME_LINK}/{NEWSURL}/";
				}elseif ($userurl == "9") {
					$final_link = "modules.php?name=News&file=article-seo&sid={SID}{TOPICNAME_LINK}/{TIMELINK}/";
				}elseif ($userurl == "10") {
					$final_link = "modules.php?name=News&file=article-seo&sid={SID}{TIMELINK}/{TOPICNAME_LINK}/{NEWSURL}/";
				}
			}else {
				$final_link = "modules.php?name=News&file=article-seo&sid={SID}-{TITLE}";
			}
		break;
		case"Products":
			if($gtset == "1"){
				if($userurl == "1"){
					$final_link = "modules.php?name=Products&file=product&sid={SID}-{NEWSURL}";
				}elseif ($userurl == "2") {
					$final_link = "modules.php?name=Products&file=product&sid={SID}-{NEWSURL}-{TIMELINK}";
				}elseif ($userurl == "3") {
					$final_link = "modules.php?name=Products&file=product&sid={SID}-{NEWSURL}-{TOPICNAME_LINK}";
				}elseif ($userurl == "4") {
					$final_link = "modules.php?name=Products&file=product&sid={SID}-{TOPICNAME_LINK}-{TIMELINK}";
				}elseif ($userurl == "5") {
					$final_link = "modules.php?name=Products&file=product&sid={SID}-{NEWSURL}-{TIMELINK}-{TOPICNAME_LINK}/";
				}elseif ($userurl == "6") {
					$final_link = "modules.php?name=Products&file=product&sid={SID}{NEWSURL}/";
				}elseif ($userurl == "7") {
					$final_link = "modules.php?name=Products&file=product&sid={SID}{TIMELINK}/{NEWSURL}/";
				}elseif ($userurl == "8") {
					$final_link = "modules.php?name=Products&file=product&sid={SID}{TOPICNAME_LINK}/{NEWSURL}/";
				}elseif ($userurl == "9") {
					$final_link = "modules.php?name=Products&file=product&sid={SID}{TOPICNAME_LINK}/{TIMELINK}/";
				}elseif ($userurl == "10") {
					$final_link = "modules.php?name=Products&file=product&sid={SID}{TIMELINK}/{TOPICNAME_LINK}/{NEWSURL}/";
				}
			}else {
				$final_link = "modules.php?name=Products&file=product&sid={SID}-{TITLE}";
			}
		break;
		
		case"Contents":
			if($gtset == "1"){
				if($userurl == "1"){
					$final_link = "modules.php?name=Content&file=content&op=showpage&pid={PID}";
				}elseif ($userurl == "2") {
					$final_link = "modules.php?name=Content&file=content&op=showpage&pid={PID}-{TIMELINK}";
				}elseif ($userurl == "3") {
					$final_link = "modules.php?name=Content&file=content&op=showpage&pid={PID}-{TOPICNAME_LINK}";
				}elseif ($userurl == "4") {
					$final_link = "modules.php?name=Content&file=content&op=showpage&pid={PID}-{TOPICNAME_LINK}-{TIMELINK}";
				}elseif ($userurl == "5") {
					$final_link = "modules.php?name=Content&file=content&op=showpage&pid={PID}-{TIMELINK}-{TOPICNAME_LINK}";
				}elseif ($userurl == "6") {
					$final_link = "modules.php?name=Content&file=content&op=showpage&pid={PID}";
				}elseif ($userurl == "7") {
					$final_link = "modules.php?name=Content&file=content&op=showpage&pid={PID}{TIMELINK}/";
				}elseif ($userurl == "8") {
					$final_link = "modules.php?name=Content&file=content&op=showpage&pid={PID}{TOPICNAME_LINK}/";
				}elseif ($userurl == "9") {
					$final_link = "modules.php?name=Content&file=content&op=showpage&pid={PID}{TOPICNAME_LINK}/{TIMELINK}/";
				}elseif ($userurl == "10") {
					$final_link = "modules.php?name=Content&file=content&op=showpage&pid={PID}{TIMELINK}/{TOPICNAME_LINK}/";
				}
			}else {
				$final_link = "modules.php?name=Content&file=content&op=showpage&pid={PID}-{TITLE}";
			}
		break;
	}
	return $final_link;
}

class get_phpbb_seo_status{
	var $cache_config;
	function get_phpbb_seo_status(){
		define("IN_PHPBB", true);
		include("Forum/phpbb_seo/cache/phpbb_cache.php");
	}
}

function sitemap_LinkToGT($link) {
	global $nukeurl, $gtset, $urlins, $urlouts;
	if($gtset == 1){
		$getNextGen = $link; 
		$getNextGen = @preg_replace("(&(?!([a-zA-Z]{2,6}|[0-9\#]{1,6})[\;]))", "&amp;", $getNextGen); 
		$getNextGen = str_replace(array("&amp;&amp;", "&amp;middot;", "&amp;nbsp;"), array("&&", "&middot;", "&nbsp;"), $getNextGen); 

		$nextGenContent = @preg_replace($urlins, $urlouts, $getNextGen);
		$nextGenContent = str_replace("&amp;","&",$nextGenContent);
		if(!@ereg("http://",$link)){
			$nextGenContent = $nukeurl.$nextGenContent;
		}
		return $nextGenContent; 
	}else{
		$nextGenContent = str_replace("&","&amp;",$link);
		if(!@ereg("http://",$link)){
			$nextGenContent = $nukeurl.$nextGenContent;
		}
		return $nextGenContent; 
	}
}

?>